---
{{- if .Values.global.castlemock_enabled }}

apiVersion: batch/v1
kind: Job
metadata:
  name: "{{ .Release.Name }}-castlemock"
  labels:
    app.kubernetes.io/managed-by: {{ .Release.Service | quote }}
    app.kubernetes.io/instance: {{ .Release.Name | quote }}
    app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
    helm.sh/chart: {{ .Release.Service | quote }}
spec:
  template:
    metadata:
      name: "{{ .Release.Name }}-castlemock"
      labels:
        app.kubernetes.io/managed-by: {{ .Release.Service | quote }}
        app.kubernetes.io/instance: {{ .Release.Name | quote}}
        helm.sh/chart: {{ .Release.Service | quote }}
    spec:
      containers:
      - name: cron-job
        image: curlimages/curl
        volumeMounts:
            - name: castlemock-initial-data
              mountPath: /tmp/
        env:
          {{- $newrbac := merge .Values.injectRabcEnv .Values.extraEnv }}
          {{- range $key, $value := $newrbac  | default nil }}
          - name: {{ $key }}
            value: {{ tpl (quote $value) $ }}
          {{- end }}
        resources:
          limits:
            cpu: "1"
            memory: "300Mi"
          requests:
            cpu: "1"
            memory: "300Mi"
        args:
        - /bin/sh
        - -c
        - "curl -X POST '{{ .Values.global.castlemock_url}}' -H 'accept: /' -H 'Content-Type: multipart/form-data' -u '{{ .Values.global.castlemock_username}}:{{ .Values.global.castlemock_password}}' -F 'file=@/tmp/castlemock-initial-data.xml;type=text/xml'"
      restartPolicy: Never 
      volumes:
        - name: castlemock-initial-data
          configMap:
            name: {{ .Release.Name }}-castlemock-configmap   
            defaultMode: 0777                                                                                                             
  # successfulJobsHistoryLimit: 3
  # failedJobsHistoryLimit: 3

{{- end }}
